Update the followup settings for an action

http
PATCH https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
agentIdstringYes

Body

NameTypeRequiredExampleDescription
actionIdsstring[]Yes
  • followupSettings (object, required)

    • dynamicChannelSwitching (boolean, required): Whether to dynamically switch channels for followups Example: True

    • followUpHours (boolean): Whether to respect working hours for followups Example: True

    • workingHours (object[]): Working hours configuration for followups

      • dayOfTheWeek (number, required): Day of the week (0=Sunday, 1=Monday, etc.) Example: 1

      • intervals (object[]): Time intervals for this day

        • startHour (number, required): Start hour (24-hour format) Example: 9

        • startMinute (number, required): Start minute Example: 0

        • endHour (number, required): End hour (24-hour format) Example: 17

        • endMinute (number, required): End minute Example: 30

    • timezoneToUse (string): Timezone to use for followups, contact or account Possible values: 'contact', 'business'

Responses

200 - Success
  • data (object, required): Updated action details

  • success (boolean, required): Success status of the request Example: True

json
{
  "success": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PATCH 'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/followup-settings' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "actionIds": [
    "edxcfghbnjkimd"
  ],
  "followupSettings": {
    "dynamicChannelSwitching": true,
    "followUpHours": true,
    "workingHours": [
      {
        "dayOfTheWeek": 1,
        "intervals": []
      }
    ],
    "timezoneToUse": "contact"
  }
}'

Last updated October 26, 2026

Was this page helpful?